## tycho2 2

=== debian/changelog ===
tycho2 (2-5) unstable; urgency=medium

  * Team Upload
  * Set "Rules-Requires-Root: no"

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 15:01:13 +0100

tycho2 (2-4) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Switch to Python 3 for build
  * Set the metapackages as Multiarch:same
  * Push Standards-Version to 4.2.1. Change most URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Sep 2018 11:27:37 +0200

tycho2 (2-3) unstable; urgency=low

  * Set timestamp on astrometry data files to make them reproducible
  * Add RCS urls to d/control

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Nov 2015 09:54:58 +0100

tycho2 (2-2) unstable; urgency=low

  * Move package to Debian main

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Oct 2015 09:26:59 +0200

tycho2 (2-1) unstable; urgency=low

  * Initial package. Closes: #795933.

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Oct 2015 09:31:38 +0200
