=== debian/control ===
Source: tycho2
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: astrometry.net, debhelper-compat (= 13), python3, python3-astropy
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://www.astro.ku.dk/~erik/Tycho-2/
Vcs-Git: https://salsa.debian.org/debian-astro-team/tycho2.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/tycho2

Package: astrometry-data-tycho2-07-littleendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 little endian index files (22'-30')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4107 index file from the Tycho-2 catalog
 containing skymarks of sizes 22 arcminutes to 30 arcminutes. Byte order
 is litte endian.

Package: astrometry-data-tycho2-07-bigendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 big endian index files (22'-30')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4107 index file from the Tycho-2 catalog
 containing skymarks of sizes 22 arcminutes to 30 arcminutes. Byte order
 is big endian.

Package: astrometry-data-tycho2-07
Architecture: any
Multi-Arch: same
Depends: astrometry-data-tycho2-07-${endian}endian, ${misc:Depends}
Enhances: astrometry.net
Description: Astrometry.net Tycho-2 index files (22'-30')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package installs the 4107 index file from the Tycho-2 catalog
 containing skymarks of sizes 22 arcminutes to 30 arcminutes.

Package: astrometry-data-tycho2-08-littleendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 little endian index files (30'-44')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4108 index file from the Tycho-2 catalog
 containing skymarks of sizes 30 arcminutes to 44 arcminutes. Byte order
 is litte endian.

Package: astrometry-data-tycho2-08-bigendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 big endian index files (30'-44')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4108 index file from the Tycho-2 catalog
 containing skymarks of sizes 30 arcminutes to 44 arcminutes. Byte order
 is big endian.

Package: astrometry-data-tycho2-08
Architecture: any
Multi-Arch: same
Depends: astrometry-data-tycho2-08-${endian}endian, ${misc:Depends}
Enhances: astrometry.net
Description: Astrometry.net Tycho-2 index files (30'-44')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package installs the 4108 index file from the Tycho-2 catalog
 containing skymarks of sizes 30 arcminutes to 44 arcminutes.

Package: astrometry-data-tycho2-09-littleendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 little endian index files (44'-60')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4109 index file from the Tycho-2 catalog
 containing skymarks of sizes 44 arcminutes to 60 arcminutes. Byte order
 is litte endian.

Package: astrometry-data-tycho2-09-bigendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 big endian index files (44'-60')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4109 index file from the Tycho-2 catalog
 containing skymarks of sizes 44 arcminutes to 60 arcminutes. Byte order
 is big endian.

Package: astrometry-data-tycho2-09
Architecture: any
Multi-Arch: same
Depends: astrometry-data-tycho2-09-${endian}endian, ${misc:Depends}
Enhances: astrometry.net
Description: Astrometry.net Tycho-2 index files (44'-60')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package installs the 4109 index file from the Tycho-2 catalog
 containing skymarks of sizes 44 arcminutes to 60 arcminutes.

Package: astrometry-data-tycho2-10-19-littleendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 little endian index files (60'-2000')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4110-4119 index file from the Tycho-2 catalog
 containing skymarks of sizes 60 arcminutes to 2000 arcminutes. Byte order
 is litte endian.

Package: astrometry-data-tycho2-10-19-bigendian
Architecture: all
Depends: astrometry.net, ${misc:Depends}
Description: Astrometry.net Tycho-2 big endian index files (60'-2000')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package contains the 4110-4119 index file from the Tycho-2 catalog
 containing skymarks of sizes 60 arcminutes to 2000 arcminutes. Byte order
 is big endian.

Package: astrometry-data-tycho2-10-19
Architecture: any
Multi-Arch: same
Depends: astrometry-data-tycho2-10-19-${endian}endian, ${misc:Depends}
Enhances: astrometry.net
Description: Astrometry.net Tycho-2 index files (60'-2000')
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package installs the 4110-4119 index file from the Tycho-2 catalog
 containing skymarks of sizes 60 arcminutes to 2000 arcminutes.

Package: astrometry-data-tycho2
Architecture: all
Depends: astrometry-data-tycho2-07,
         astrometry-data-tycho2-08,
         astrometry-data-tycho2-09,
         astrometry-data-tycho2-10-19,
         ${misc:Depends}
Enhances: astrometry.net
Description: Astrometry.net Tycho-2 index files
 The astrometry engine will take any image and return the astrometry
 world coordinate system (WCS), a standards-based description of the
 transformation between image coordinates and sky coordinates.
 .
 This package installs all index file from the Tycho-2 catalog.
